跳转到主要内容
GET
/
projects
/
{projectId}
/
tasks
List project tasks
curl --request GET \
  --url https://api.youka.io/api/v1/projects/{projectId}/tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "create-karaoke",
    "status": "created",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "error": "<string>"
  }
]

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

projectId
string
必填

响应

200 - application/json

Project task list

id
string
必填
type
enum<string>
必填
可用选项:
create-karaoke,
sync-lyrics,
stem-separation,
generate-video,
generate-chords,
export-project
status
enum<string>
必填
可用选项:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
createdAt
string
必填
updatedAt
string
必填
error
string | null